env:
  browser: true
  es6: true
  node: true
  commonjs: true
plugins:
  - import
  - babel
extends:
  - 'eslint:recommended'
  - 'plugin:import/errors'
  - 'plugin:import/warnings'
globals:
  Atomics: readonly
  SharedArrayBuffer: readonly
parserOptions:
  ecmaVersion: 2020
rules:
  keyword-spacing: 2
  no-trailing-spaces: 2
  no-multiple-empty-lines: 2
  eol-last: 2
  no-tabs: 2
  no-nested-ternary: 2
  no-extra-semi: 2
  constructor-super: 2
  array-bracket-spacing:
    - 2
    - never
  no-var: 2
  max-len: 
    - 1
    -
      code: 85
      tabWidth: 2
      ignoreStrings: true
      ignoreTemplateLiterals: true
  no-func-assign: 2
  consistent-return: 2
  curly: 
    - 2
    - all
  default-case: 2
  eqeqeq: 
    - 2
    - always
  no-multi-spaces: 2
  array-bracket-newline: 
    - 2
    - consistent
  comma-dangle:
   - 2
   - always-multiline
  comma-spacing: 2
  no-console: 0
  indent:
    - 2
    - 2
    - 
      SwitchCase: 1
  linebreak-style:
    - 2
    - unix
  quotes: 
    - 2
    - single
  semi:
    - 2
    - always
  import/newline-after-import:
    - 2
    -
      count: 2
